Debian Bug report logs - #604231
chef-solr: installation fails, unable to connect to node, nodedown

version graph

Package: chef-solr; Maintainer for chef-solr is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for chef-solr is src:chef-solr.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Nov 2010 10:39:05 UTC

Severity: serious

Tags: patch

Found in version chef/0.8.16-4.1

Fixed in version chef/0.8.16-4.2

Done: Luca Capello <luca@pca.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Sun, 21 Nov 2010 10:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 21 Nov 2010 10:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: chef-solr: installation fails with debconf noninteractive frontend
Date: Sun, 21 Nov 2010 11:14:05 +0100
Package: chef-solr
Version: 0.8.16-4.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: instest-20101120 instest

Hi,

While testing the installation of all packages in unstable, I ran
into the following problem:

Setting up chef-solr (0.8.16-4.1) ...
Error: unable to connect to node 'rabbit@parapluie-8': nodedown
diagnostics:
- nodes and their ports on parapluie-8: [{rabbitmqctl24301,59110}]
- current node: 'rabbitmqctl24301@parapluie-8'
- current node home dir: /var/lib/rabbitmq
- current node cookie hash: fJiJth+YsTHJfj5ZQWvUSQ==
Creating vhost "/chef" ...
Error: unable to connect to node 'rabbit@parapluie-8': nodedown
diagnostics:
- nodes and their ports on parapluie-8: [{rabbitmqctl24349,46122}]
- current node: 'rabbitmqctl24349@parapluie-8'
- current node home dir: /var/lib/rabbitmq
- current node cookie hash: fJiJth+YsTHJfj5ZQWvUSQ==
dpkg: error processing chef-solr (--configure):
 subprocess installed post-installation script returned error exit status 2
configured to not write apport reports
                                      Errors were encountered while processing:
 chef-solr
E: Sub-process /usr/bin/dpkg returned an error code (1)

The full build log is available from:
 http://people.debian.org/~lucas/logs/2010/11/20/chef-solr.log

It is reproducible by installing your package in a clean chroot, using
the debconf Noninteractive frontend, and priority: critical.

This test was carried out using about 50 AMD64 nodes of the Grid'5000
platform.  Internet was not accessible from the nodes.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Sun, 28 Nov 2010 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sun, 28 Nov 2010 18:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 604231@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 604231@bugs.debian.org
Subject: Re: Bug#604231: chef-solr: installation fails with debconf noninteractive frontend
Date: Sun, 28 Nov 2010 17:43:10 +0100
[Message part 1 (text/plain, inline)]
retitle 604231 chef-solr: installation fails, unable to connect to node, nodedown
thanks

Hi there!

On Sun, 21 Nov 2010 11:14:05 +0100, Lucas Nussbaum wrote:
> While testing the installation of all packages in unstable, I ran
> into the following problem:
>
> Setting up chef-solr (0.8.16-4.1) ...
> Error: unable to connect to node 'rabbit@parapluie-8': nodedown
> diagnostics:
> - nodes and their ports on parapluie-8: [{rabbitmqctl24301,59110}]
> - current node: 'rabbitmqctl24301@parapluie-8'
> - current node home dir: /var/lib/rabbitmq
> - current node cookie hash: fJiJth+YsTHJfj5ZQWvUSQ==
> Creating vhost "/chef" ...
> Error: unable to connect to node 'rabbit@parapluie-8': nodedown
> diagnostics:
> - nodes and their ports on parapluie-8: [{rabbitmqctl24349,46122}]
> - current node: 'rabbitmqctl24349@parapluie-8'
> - current node home dir: /var/lib/rabbitmq
> - current node cookie hash: fJiJth+YsTHJfj5ZQWvUSQ==
> dpkg: error processing chef-solr (--configure):
>  subprocess installed post-installation script returned error exit status 2
> configured to not write apport reports
>                                       Errors were encountered while processing:
>  chef-solr
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> The full build log is available from:
>  http://people.debian.org/~lucas/logs/2010/11/20/chef-solr.log
>
> It is reproducible by installing your package in a clean chroot, using
> the debconf Noninteractive frontend, and priority: critical.

The problem is not the debconf frontend used, but the fact that the node
is down, given that it is reproducible on a cowbuilder chroot even with
an interactive debconf frontend:
=====
(sid)root@gismo:/# unset DEBIAN_FRONTEND
(sid)root@gismo:/# apt-get install chef-solr
[...]
 ������������������������������������������������Ĵ Configuring chef-solr �������������������������������������������������Ŀ
 � Please choose a password for the default user (named "chef") in the AMQP server queue, under the default RabbitMQ vhost  �
 � (also "/chef").                                                                                                          �
 �                                                                                                                          �
 � RabbitMQ's rabbitmqctl program, which will be used to set this password, cannot read input from a file. Instead it will  �
 � be passed as a command-line argument, so the password should not include any shell meta-characters that could cause      �
 � errors, such as "!".                                                                                                     �
 �                                                                                                                          �
 � Password for the AMQP user "chef":                                                                                       �
 �                                                                                                                          �
 � ****____________________________________________________________________________________________________________________ �
 �                                                                                                                          �
 �                                                          <Ok>                                                            �
 �                                                                                                                          �
 ����������������������������������������������������������������������������������������������������������������������������
Error: unable to connect to node rabbit@gismo: nodedown
diagnostics:
- nodes and their ports on gismo: [{rabbitmqctl25863,47783}]
- current node: rabbitmqctl25863@gismo
- current node home dir: /var/lib/rabbitmq
- current node cookie hash: x1rh/KXp98TJcRmgh8eJTA==
Creating vhost "/chef" ...
Error: unable to connect to node rabbit@gismo: nodedown
diagnostics:
- nodes and their ports on gismo: [{rabbitmqctl25892,45949}]
- current node: rabbitmqctl25892@gismo
- current node home dir: /var/lib/rabbitmq
- current node cookie hash: x1rh/KXp98TJcRmgh8eJTA==
dpkg: error processing chef-solr (--configure):
 subprocess installed post-installation script returned error exit status 2
configured to not write apport reports
                                      Setting up default-jre-headless (1:1.6-40) ...
Setting up ca-certificates-java (20100412) ...
creating /etc/ssl/certs/java/cacerts...
done.
Errors were encountered while processing:
 chef-solr
E: Sub-process /usr/bin/dpkg returned an error code (1)
(sid)root@gismo:/#
=====

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'chef-solr: installation fails, unable to connect to node, nodedown' from 'chef-solr: installation fails with debconf noninteractive frontend' Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 28 Nov 2010 18:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604231; Package chef-solr. (Tue, 30 Nov 2010 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joshua Timberman <joshua@opscode.com>:
Extra info received and forwarded to list. (Tue, 30 Nov 2010 00:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 604231@bugs.debian.org (full text, mbox):

From: Joshua Timberman <joshua@opscode.com>
To: 604231@bugs.debian.org
Subject: chef-solr
Date: Mon, 29 Nov 2010 17:44:37 -0700
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello!

We (Opscode, upstream maintainers of Chef) are fine with removal of the 
following chef packages from Debian Squeeze:

chef-server
chef-server-api
chef-server-webui
chef-solr

The client packages should remain, and should be updated to the latest release (0.9.12):

chef
libchef-ruby
libchef-ruby1.8

I do have updated packaging in the Debian Ruby Extras team repository for these packages.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iEYEARECAAYFAkz0SPUACgkQO97WSdVpzT0T/gCeKybpCHEKo5tbsJufj2HrnygC
drYAn1KgxaHigjUV/3mBsTyUek1goLCJ
=csb7
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Sat, 04 Dec 2010 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Sat, 04 Dec 2010 19:03:08 GMT) Full text and rfc822 format available.

Message #22 received at 604231@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Joshua Timberman <joshua@opscode.com>, 604231@bugs.debian.org
Subject: Re: Bug#604231: chef-solr
Date: Sat, 4 Dec 2010 19:56:14 +0100
Joshua Timberman <joshua@opscode.com> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hello!
> 
> We (Opscode, upstream maintainers of Chef) are fine with removal
> of the following chef packages from Debian Squeeze:
> 
> chef-server
> chef-server-api
> chef-server-webui
> chef-solr
> 
> The client packages should remain, and should be updated to the
> latest release (0.9.12):
> 
> chef
> libchef-ruby
> libchef-ruby1.8
> 

These can't be updated to the latest release because of the freeze.
Are you fine with removing the chef-* binary packages from the source
package and keep the same upstream version? or should I add a removal
hint from Squeeze for src:chef?

> I do have updated packaging in the Debian Ruby Extras team repository
> for these packages.
> 

Where can I find the packaging? (where is the repository?)

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Mon, 06 Dec 2010 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Mon, 06 Dec 2010 18:06:03 GMT) Full text and rfc822 format available.

Message #27 received at 604231@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Luca Capello <luca@pca.it>
Cc: 604231@bugs.debian.org, Joshua Timberman <joshua@opscode.com>
Subject: Re: Bug#604231: chef-solr
Date: Mon, 06 Dec 2010 19:04:38 +0100
On 06/12/2010 18:47, Luca Capello wrote:
> Hi there!
>

(I should have CC'ed you too... I'm sorry for that).

> On Sat, 04 Dec 2010 19:56:14 +0100, Mehdi Dogguy wrote:
>>
>> These can't be updated to the latest release because of the freeze.
>> Are you fine with removing the chef-* binary packages from the source
>> package and keep the same upstream version? or should I add a removal
>> hint from Squeeze for src:chef?
>
> Already there:
>
> http://bugs.debian.org/605277
>
> Please note that if chef-solr is being removed from squeeze, the
> reverse dependency that impeded solr removal goes away as well:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602697#10
>

Yeah, that's why we are here :)

>
> Mehdi, is it OK if I stop to care about this bug and leave it to you?
>

As you like, I don't know what to do here, except adding a removal hint
for chef. If you'd like to prepare an NMU that would leave the client
only, I'd accept it. Besides, not having any reply from the maintainers
doesn't help to decide...

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Tue, 07 Dec 2010 23:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Tue, 07 Dec 2010 23:24:06 GMT) Full text and rfc822 format available.

Message #32 received at 604231@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 604231@bugs.debian.org
Cc: Joshua Timberman <joshua@opscode.com>, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#604231: chef-solr
Date: Mon, 6 Dec 2010 18:47:43 +0100
[Message part 1 (text/plain, inline)]
Hi there!

On Sat, 04 Dec 2010 19:56:14 +0100, Mehdi Dogguy wrote:
> Joshua Timberman <joshua@opscode.com> wrote:
> > We (Opscode, upstream maintainers of Chef) are fine with removal
> > of the following chef packages from Debian Squeeze:

I would have preferred to be cc:ed by Joshua in his first reply, given
that I work on chef/solr bugs during the Bern BSP
<http://wiki.debian.org/BSP2010/Bern> and I guess Joshua's
acknowledgement of removal is because of:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602697#35
  http://bugs.debian.org/605277

> > chef-server
> > chef-server-api
> > chef-server-webui
> > chef-solr
> > 
> > The client packages should remain, and should be updated to the
> > latest release (0.9.12):
> > 
> > chef
> > libchef-ruby
> > libchef-ruby1.8
> > 
> 
> These can't be updated to the latest release because of the freeze.
> Are you fine with removing the chef-* binary packages from the source
> package and keep the same upstream version? or should I add a removal
> hint from Squeeze for src:chef?

Already there:

  http://bugs.debian.org/605277

Please note that if chef-solr is being removed from squeeze, the
reverse dependency that impeded solr removal goes away as well:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602697#10

> > I do have updated packaging in the Debian Ruby Extras team repository
> > for these packages.
> > 
> 
> Where can I find the packaging? (where is the repository?)

I guess

  http://wiki.opscode.com/display/chef/Package+Installation+on+Debian+and+Ubuntu

Mehdi, is it OK if I stop to care about this bug and leave it to you?

Thx, bye,
Gismo / Luca
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Timberman <joshua@opscode.com>:
Bug#604231; Package chef-solr. (Wed, 08 Dec 2010 00:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Joshua Timberman <joshua@opscode.com>. (Wed, 08 Dec 2010 00:21:04 GMT) Full text and rfc822 format available.

Message #37 received at 604231@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 604231@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Joshua Timberman <joshua@opscode.com>, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#604231: chef-solr
Date: Wed, 08 Dec 2010 00:57:33 +0100
[Message part 1 (text/plain, inline)]
block 604231 by 606274
tags 604231 + patch
thanks

Hi there!

On Mon, 06 Dec 2010 19:04:38 +0100, Mehdi Dogguy wrote:
> On 06/12/2010 18:47, Luca Capello wrote:
>> Hi there!
>>
>
> (I should have CC'ed you too... I'm sorry for that).

Np.

>> On Sat, 04 Dec 2010 19:56:14 +0100, Mehdi Dogguy wrote:
>>>
>>> These can't be updated to the latest release because of the freeze.
>>> Are you fine with removing the chef-* binary packages from the source
>>> package and keep the same upstream version? or should I add a removal
>>> hint from Squeeze for src:chef?
>>
>> Already there:
>>
>> http://bugs.debian.org/605277
>>
>> Please note that if chef-solr is being removed from squeeze, the
>> reverse dependency that impeded solr removal goes away as well:
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=602697#10
>>
>
> Yeah, that's why we are here :)
>
>>
>> Mehdi, is it OK if I stop to care about this bug and leave it to you?
>>
>
> As you like, I don't know what to do here, except adding a removal hint
> for chef. If you'd like to prepare an NMU that would leave the client
> only, I'd accept it. Besides, not having any reply from the maintainers
> doesn't help to decide...

While preparing the NMU below I discovered that chef FTBFS, so I also
fixed that:

--8<---------------cut here---------------start------------->8---
diff -u chef-0.8.16/debian/changelog chef-0.8.16/debian/changelog
--- chef-0.8.16/debian/changelog
+++ chef-0.8.16/debian/changelog
@@ -1,3 +1,16 @@
+chef (0.8.16-4.2) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control:
+    - remove outdated -server* packages and chef-solr as well, with
+      maintainer's approval (Closes: #604231).
+  * debian/patches/series: update.
+  * debian/patches/chef_client_ruby18.patch:
+    + fix FTBFS, use a versioned shebang for client binaries, since
+      the chef binary package Depends: on Ruby-1.8 (Closes: #606274).
+
+ -- Luca Capello <luca@pca.it>  Wed, 08 Dec 2010 00:31:34 +0100
+
 chef (0.8.16-4.1) unstable; urgency=low
 
   * Non-maintainer upload to fix pending l10n issues
diff -u chef-0.8.16/debian/control chef-0.8.16/debian/control
--- chef-0.8.16/debian/control
+++ chef-0.8.16/debian/control
@@ -24,96 +24,6 @@
  This package contains the chef-client and chef-solo binaries and associated
  files.
 
-Package: chef-solr
-Architecture: all
-Depends: ${misc:Depends}, ruby1.8, rabbitmq-server (>= 1.6), default-jre-headless | java6-runtime-headless, libjson-ruby1.8, libchef-ruby1.8 (= ${source:Version}), solr-jetty (>=1.4.0), libxml-ruby1.8, adduser, ucf
-Suggests: chef (= ${source:Version})
-Replaces: chef-indexer
-Conflicts: chef-indexer
-Description: system integration framework - search indexes management
- Chef is a systems integration framework and configuration management library
- written in Ruby. Chef provides a Ruby library and API that can be used to
- bring the benefits of configuration management to an entire infrastructure.
- .
- Chef can be run as a client (chef-client) to a server, or as a standalone
- tool (chef-solo). Configuration recipes are written in a pure Ruby
- domain-specific language.
- .
- The chef indexer listens to a message queue via AMQP for changes to search
- indexes. It then either creates or deletes entries in the index according
- to the information it is passed.
- .
- This package provides the chef-solr search engine which runs as a solr-jetty
- server, and chef-solr-indexer that talks to the AMQP message queue, by
- default rabbitmq-server.
-
-Package: chef-server
-Architecture: all
-Depends: ${misc:Depends}, ruby, merb-slices, libmerb-assets-ruby, libmerb-haml-ruby, libmerb-helpers-ruby, chef-server-api (= ${source:Version}), chef-solr (= ${source:Version}), thin, libjson-ruby, libchef-ruby (= ${source:Version}), libuuidtools-ruby1.8, adduser, libjs-jquery (>= 1.3.2), ucf
-Recommends: chef (= ${source:Version})
-Suggests: nginx, apache2, rake, chef-server-webui (=${source:Version})
-Description: system integration framework - centralized server
- Chef is a systems integration framework and configuration management library
- written in Ruby. Chef provides a Ruby library and API that can be used to
- bring the benefits of configuration management to an entire infrastructure.
- .
- Chef can be run as a client (chef-client) to a server, or as a standalone
- tool (chef-solo). Configuration recipes are written in a pure Ruby
- domain-specific language.
- .
- The Chef Server is a Merb application that provides centralized storage and
- distribution for recipes stored in "cookbooks," management and authentication
- of client nodes and node data, and search indexes for that data.
- .
- The chef-server package provides a merb binary wrapper that loads up the
- chef-server-api application.
- .
- This package contains the chef-server Merb application and associated files.
-
-Package: chef-server-api
-Architecture: all
-Depends: ${misc:Depends}, ruby, merb-slices, libmerb-assets-ruby, libmerb-haml-ruby, libmerb-helpers-ruby, rabbitmq-server (>= 1.6), couchdb (>= 0.9.1), thin, libjson-ruby, libchef-ruby (= ${source:Version})
-Recommends: chef (= ${source:Version})
-Replaces: chef-server-slice
-Conflicts: chef-server-slice
-Description: system integration framework - server API for clients
- Chef is a systems integration framework and configuration management library
- written in Ruby. Chef provides a Ruby library and API that can be used to
- bring the benefits of configuration management to an entire infrastructure.
- .
- Chef can be run as a client (chef-client) to a server, or as a standalone
- tool (chef-solo). Configuration recipes are written in a pure Ruby
- domain-specific language.
- .
- The Chef Server is a Merb application that provides centralized storage and
- distribution for recipes stored in "cookbooks," management and authentication
- of client nodes and node data, and search indexes for that data.
- .
- The chef-server-api package provides the API for the Chef Server so
- clients can connect and is started with the chef-server program.
- .
- This package contains the Merb slice for the chef-server-api.
-
-Package: chef-server-webui
-Architecture: all
-Depends: ${misc:Depends}, ruby, merb-slices, libmerb-param-protection-ruby, libmerb-assets-ruby, libmerb-haml-ruby, libmerb-helpers-ruby, thin, libopenid-ruby, libjson-ruby, libchef-ruby (= ${source:Version}), libcoderay-ruby, chef-server (= ${source:Version}), adduser, libjs-jquery-ui (>= 1.7.1), ucf
-Suggests: chef (= ${source:Version}), apache2, nginx
-Conflicts: chef-server-slice
-Description: system integration framework - web interface
- Chef is a systems integration framework and configuration management library
- written in Ruby. Chef provides a Ruby library and API that can be used to
- bring the benefits of configuration management to an entire infrastructure.
- .
- Chef can be run as a client (chef-client) to a server, or as a standalone
- tool (chef-solo). Configuration recipes are written in a pure Ruby
- domain-specific language.
- .
- The Chef Server WebUI is a Merb application that accesses the Chef Server API
- directly to provide an easy to use interface for managing Chef clients and
- Chef server data.
- .
- This package contains the Merb slice and assets for the chef-server-webui.
-
 Package: libchef-ruby
 Architecture: all
 Depends: ${misc:Depends}, ruby, libchef-ruby1.8 (= ${source:Version})
diff -u chef-0.8.16/debian/patches/series chef-0.8.16/debian/patches/series
--- chef-0.8.16/debian/patches/series
+++ chef-0.8.16/debian/patches/series
@@ -4,0 +5 @@
+chef_client_ruby18.patch
only in patch2:
unchanged:
--- chef-0.8.16.orig/debian/patches/chef_client_ruby18.patch
+++ chef-0.8.16/debian/patches/chef_client_ruby18.patch
@@ -0,0 +1,34 @@
+# Description: Use ruby1.8 specifically as Chef clients do not support
+# ruby1.9 yet (Closes: #NNNNNN).
+--- chef-0.8.16.orig/chef/bin/chef-client
++++ chef-0.8.16/chef/bin/chef-client
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env ruby
++#!/usr/bin/ruby1.8
+ #
+ # ./chef-client - Run the chef client
+ #
+--- chef-0.8.16.orig/chef/bin/chef-solo
++++ chef-0.8.16/chef/bin/chef-solo
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env ruby
++#!/usr/bin/ruby1.8
+ #
+ # ./chef-solo - Run the chef client, in stand-alone mode
+ #
+--- chef-0.8.16.orig/chef/bin/shef
++++ chef-0.8.16/chef/bin/shef
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env ruby
++#!/usr/bin/ruby1.8
+ #
+ # ./shef - Run the shef REPL
+ #
+--- chef-0.8.16.orig/chef/bin/knife
++++ chef-0.8.16/chef/bin/knife
+@@ -1,4 +1,4 @@
+-#!/usr/bin/env ruby
++#!/usr/bin/ruby1.8
+ #
+ # ./knife - Chef CLI interface 
+ #
--8<---------------cut here---------------end--------------->8---

I simply removed the -server* and -solr packages.  The three client
packages install fine on sid (but I have not tested if they function or
not, I do not know at all Chef) and they are available at:

  deb http://people.debian.org/~gismo/debian unstable/

As I wrote in #606274, I will upload a 0-day NMU (also fixing #598365,
and #598626) in two days if no one will complain before.  The reason to
now upload it *now* as DELAYED/2 is because I need to work on the other
bugs above ;-)

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Added blocking bug(s) of 604231: 606274 Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 08 Dec 2010 00:21:11 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 08 Dec 2010 00:21:12 GMT) Full text and rfc822 format available.

Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Thu, 09 Dec 2010 20:33:15 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 09 Dec 2010 20:33:15 GMT) Full text and rfc822 format available.

Message #46 received at 604231-close@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 604231-close@bugs.debian.org
Subject: Bug#604231: fixed in chef 0.8.16-4.2
Date: Thu, 09 Dec 2010 20:32:09 +0000
Source: chef
Source-Version: 0.8.16-4.2

We believe that the bug you reported is fixed in the latest version of
chef, which is due to be installed in the Debian FTP archive:

chef_0.8.16-4.2.diff.gz
  to main/c/chef/chef_0.8.16-4.2.diff.gz
chef_0.8.16-4.2.dsc
  to main/c/chef/chef_0.8.16-4.2.dsc
chef_0.8.16-4.2_all.deb
  to main/c/chef/chef_0.8.16-4.2_all.deb
libchef-ruby1.8_0.8.16-4.2_all.deb
  to main/c/chef/libchef-ruby1.8_0.8.16-4.2_all.deb
libchef-ruby_0.8.16-4.2_all.deb
  to main/c/chef/libchef-ruby_0.8.16-4.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604231@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Capello <luca@pca.it> (supplier of updated chef package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 09 Dec 2010 20:44:25 +0100
Source: chef
Binary: chef libchef-ruby libchef-ruby1.8
Architecture: source all
Version: 0.8.16-4.2
Distribution: unstable
Urgency: low
Maintainer: Joshua Timberman <joshua@opscode.com>
Changed-By: Luca Capello <luca@pca.it>
Description: 
 chef       - system integration framework - client and solo binaries
 libchef-ruby - system integration framework - Ruby libraries
 libchef-ruby1.8 - system integration framework - Ruby 1.8 libraries
Closes: 598365 598626 604231 606274
Changes: 
 chef (0.8.16-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control:
     - remove outdated -server* packages and chef-solr as well, with
       maintainer's approval (Closes: #604231).
   * debian/patches/series: update.
   * debian/patches/chef_client_ruby18.patch:
     + fix FTBFS, use a versioned shebang for client binaries, since
       the chef binary package Depends: on Ruby-1.8 (Closes: #606274).
   * [Debconf translation updates]
     - Japanese (Hideki Yamane) (Closes: #598365).
     - Vietnamese (Clytie Siddall) (Closes: #598626).
Checksums-Sha1: 
 620726b0559a496681e7b92a90be81a0b1eb5ad4 1874 chef_0.8.16-4.2.dsc
 a1b1c623eb671eea2e139f003c82a4f159c4d038 72146 chef_0.8.16-4.2.diff.gz
 6bf52dbb73dce4006f2f7cdbc38fd7bc22b29141 42924 chef_0.8.16-4.2_all.deb
 bfac6aec28ef39bd1513d7051bf87cd9e0d0bfe7 28324 libchef-ruby_0.8.16-4.2_all.deb
 a5b0b3571bb7b7be18870b8f73d9f368335ff5c4 178594 libchef-ruby1.8_0.8.16-4.2_all.deb
Checksums-Sha256: 
 6bd1e96f4a7a93aa52f4a10aea3db421631a78e04c23cb7d00d5c4e6d68c912c 1874 chef_0.8.16-4.2.dsc
 28f73765d47664f6c0f9eb6fe95c2944c422d783453e75848d2b9d850b99562c 72146 chef_0.8.16-4.2.diff.gz
 99844d329e8c1405e46ee6444502bef3f5611479b5fb2439fc93ccafeae3e154 42924 chef_0.8.16-4.2_all.deb
 47e376033d585dc132bfd071795f57d22db0cfdad6ba1c8937a474f106dea0b5 28324 libchef-ruby_0.8.16-4.2_all.deb
 7fb5fc6ac54537d573b20b08d8ee03301a8f6471b66ea3b0927ce07b8cc19aa0 178594 libchef-ruby1.8_0.8.16-4.2_all.deb
Files: 
 a1621f68ee1beff2a27263b92496cac4 1874 ruby extra chef_0.8.16-4.2.dsc
 ff6cf454f842eb99c7e79f01182e99d4 72146 ruby extra chef_0.8.16-4.2.diff.gz
 420a111d5c852449b6bc21d37f43920f 42924 ruby extra chef_0.8.16-4.2_all.deb
 5b07429d25ee10d62bcdb27bef1a2703 28324 ruby extra libchef-ruby_0.8.16-4.2_all.deb
 c9dc725541fc7754768e4718a4830fd3 178594 ruby extra libchef-ruby1.8_0.8.16-4.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNATSLAAoJENkdV6A76fNtgf8QAJM8QmYAs1aGDbkoW3a8ulZK
KluL6N4ZNUdNipXvKW2LbeNI79oeopOhvQWZOtuy1yWjBurJxJpRVGhlJ1xfnbtj
3MzgUPj3gYrWyPo+UuMZbGLC91B1mrYEk0YrP02q00a8HqzNs50GYqcOjH/Y2Ykd
ckU2vzKCdszxDZFRWlYka1S3km1FdkSAZIBELx7giuMm4SFR8qJbYIzThOgkhQfl
w3UvixS7Y43p+9qqnwSDdTKCK4C89WQhdl0oRBWtVast1gSkyNzMtXAgSyJm82nZ
HeG9evNiFev+23egnc8ZIMxAw7CKpR2eOeb4QRcYOm4FInaCq6Lf8HTOjyeKNZKx
r9dM52buteQQDZsuViaQs97z/Q+0JcICOTiMbw96Axrldnmpx7aLJ3x5VpFLKZpn
aAwtWoswXbpH4DheXNwlgFfRW5Uk63uJeBX8DHwbsfVAUwJ5Gz9OftqycipKtezo
6KOrH7QmYRKIba4PykdtR5R3aftkIcoReOPoZ0Jts3vt32zenOLCP2Xolan1ETSs
hxGspM5u/pgwBOAe4WM0ASvFJ3DwUzqLrP2/bZQIvgRgOdjIrb4ENY7lvq7Xh+of
xUzJPM/vp5f+1fc25fWNmRI8sZTHQq8p0uxLrgw+Sc9JUEPLEe878/ixuDH6simT
qjU8tLDAPMxlBXPv4DJW
=DhUR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:29:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.